MailcrateDocs
Segments

Add contacts to a static segment

POST
/public/segment/{id}/members

Requires the segment:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Request Body

application/json
  1. body
contacts*array<string>
Items1 <= items <= 1000

Response Body

Example Request
curl -X POST 'https://api.mailcrate.io/public/segment/string/members' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{  "contacts": [    "string"  ]}'
Example Response
Empty